/*
 *  Status monitor for Canon NCAP Printer.
 *  Copyright (C) 2004-2013 CANON INC.
 *  All Rights Reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



#ifndef	_MSGDLG
#define	_MSGDLG

#include "dialog.h"

#define CTRL_LIST_MAXNUM 32

enum{
	ID_ZERO_BASED,

	ID_CALIBRATION_MSGDLG1,
	ID_COLORMISMATCHCORRECTION_MSGDLG1,
    ID_CLEANING_MSGDLG,
	ID_CLEANING_MSGDLGMPTRAY,
	ID_CLEANING_MSGDLG1,
	ID_CLEANING_MSGDLG2,
	ID_USERDATALIST_MSGDLG1,
	ID_PCLFONTLIST_MSGDLG1,
	ID_UPDATINGFIRMWAREMODE_MSGDLG1,
	ID_USBWAIT_MSGDLG1,
	ID_SLEEPSETTING_DIALOG1,
	ID_JOBCANCELSETTING_DIALOG1,
	ID_OVERRIDE_DIALOG1,
	ID_ASSISTSETTING_DIALOG1,
	ID_DISABLEWIFI_DIALOG1,
	ID_CONSUMABLES_DIALOG1,
	ID_COUNTER_DIALOG1,
	ID_WLANSTATUS_DIALOG1,
	ID_AUTOSHUTDOWN_DIALOG1,
	ID_IMGADJUST_DIALOG1,
	ID_PFEEDUNIT_DIALOG1,
	ID_WARNINGDISPLAY_DIALOG1,
	ID_WARNINGDETAILS_DIALOG1,
	ID_MOBILEPRINT_DIALOG1,
	ID_PAPERSIZECHECK_DIALOG1,
	ID_REPORTPRINT_DIALOG1,
	ID_SWITCHPAPERFEED_DIALOG1,
	ID_PC_SCR_DIALOG1,

	ID_CTRLSLEEPENABLE,
	ID_CTRLSLEEPTIME,
	ID_CTRLSLEEPTIME_MIN,
	ID_CTRLJOBCANCELENABLE,
	ID_CTRLOVERRIDEENABLE,
	ID_CTRLWIFIDISABLE,
	ID_CTRLWIFIDISABLE_COMMENT,
	ID_CTRLCURLCORRECTENABLE,
	ID_CTRLPREVENTQLTYENABLE,
	ID_CTRLPREVENTCLINGENABLE,
	ID_CTRLREDUCTWRINKLEENABLE,
	ID_CTRLSPECIALPRINTADJUSTMENT_V,
	ID_CTRLSPECIALPRINTADJUSTMENT,
	ID_CTRLSPECIALPRINTADJUSTMENT_B,
	ID_CTRLSPECIALPRINTADJUSTMENT_SEPARATOR,
	ID_CTRLSPECIALPRINTADJUSTMENT_D,
	ID_CTRLSPECIALPRINTADJUSTMENT_U,
	ID_CTRLSPECIALPRINTADJUSTMENT_I,
	ID_CTRLSPECIALPRINTADJUSTMENT_J,
	ID_CTRLSPECIALPRINTADJUSTMENT_K,
	ID_CTRLPRINTQUIETMODE,
	ID_CTRLSELECTLINEWIDTH,
	ID_CTRLSPECIALPRINTADJUSTMENT_G,
	ID_CTRLSPECIALPRINTADJUSTMENT_Q,
	ID_CTRLSPECIALPRINTADJUSTMENT_T,
	ID_CTRLSPECIALPRINTADJUSTMENT_L,
	ID_CTRLCONSUMABLESDLG_TYPE1,
	ID_CTRLCONSUMABLESDLG_TYPE2,
	ID_CTRLBLACKTONERINFO,
	ID_CTRLBLACKCARTRIDGEINFO,
	ID_CTRLCONSUMABLESDLG_TYPE3,
	ID_CTRLCT3TONERINFO,
	ID_CTRLCT3DRUMINFO,
	ID_CTRLCT3TONERCARTRIDGEINFO,
	ID_CTRLCT3DRUMCARTRIDGEINFO,
	ID_CTRLCONSUMABLESDLG_TYPE4,
	ID_CTRLCT4TONERINFO,
	ID_CTRLCT4DRUMINFO,
	ID_CTRLCT4TONERCARTRIDGEINFO,
	ID_CTRLCT4DRUMCARTRIDGEINFO,
	ID_CTRLTONERCARTRIDGEINFO,
	ID_CTRLCYANINFO,
	ID_CTRLMAGENTAINFO,
	ID_CTRLYELLOWINFO,
	ID_CTRLBLACKINFO,
	ID_CTRLCOUNTERINFO,
	ID_CTRLTOTALPRINTED,
	ID_CTRLCOLORPRINTED,
	ID_CTRLMONOPRINTED,
	ID_CTRLTOTALPRINTEDUNIT,
	ID_CTRLCOLORPRINTEDUNIT,
	ID_CTRLMONOPRINTEDUNIT,
	ID_CTRLTWOSIDEDPRINTEDSHEETS,
	ID_CTRLTWOSIDEDPRINTEDSHEETSUNIT,
	ID_CTRLTOTALMONOPRINTED,
	ID_CTRLTOTALMONOPRINTEDUNIT,
	ID_CTRLWLANSTATUS,
	ID_CTRLAUTOSHUTDOWNENABLE,
	ID_CTRLAUTOSHUTDOWNTIME,
	ID_CTRLAUTOSHUTDOWNTIME_HR,
	ID_CTRLCALIBENABLE,
	ID_CTRLCALIBTIME,
	ID_CTRLCALIBTIMECOLON,
	ID_CTRLCALIBSTARTUP,
	ID_CTRLCS1FRAME_TEXT,
	ID_CTRLCS1PSWFRAME_TEXT,
	ID_CTRLCS2PSWFRAME_TEXT,
	ID_CTRLCS3PSWFRAME_TEXT,
	ID_CTRLCS4PSWFRAME_TEXT,
	ID_CTRLMPTRAYFRAME_TEXT,
	ID_CTRLASFRAME_TEXT,
	ID_CTRLPFEEDHELPFRAME_TEXT,
	ID_CTRLSIZE_TEXT,
	ID_CTRLTYPE_TEXT,
	ID_CTRLFEED_TEXT,
	ID_CTRLROUGH,
	ID_CTRLSOURCE_MPT,
	ID_CTRLSOURCE_CS1,
	ID_CTRLSOURCE_CS2,
	ID_CTRLSOURCE_CS3,
	ID_CTRLSOURCE_CS4,
	ID_CTRLDISPLAYTONERLOW,
	ID_CTRLCRGLOWTHRESHOLDCOMMENT,
	ID_CTRLCRGLOWTHRESHOLDVALUE,
	ID_CTRLCRGLOWTHRESHOLDUNIT,
	ID_CTRLWARNINGDETAILSDLG_TYPE1,
	ID_CTRLWARNINGDETAILSDLG_TYPE2,
	ID_CTRLWARNINGDETAILSDLG_TYPE3,
	ID_CTRLTONERSPIN,
	ID_CTRLDRUMRSPIN,
	ID_CTRLDRUMRSPIN2,
	ID_CTRLMOBILEPRINTHALFTONES,
	ID_CTRLPAPERSIZEMISMATCHACTION,
	ID_CTRLREPORTPRINTLANG,
	ID_CTRLSWITCHPAPERFEEDMANUALTRAY,
	ID_CTRLSWITCHPAPERFEEDCASSETTE1,
	ID_CTRLPC_SCR_DIALOG_LABEL,

	ID_NULL_TERMINATE,
	ID_CONVERT_LIST_NUM,

	ID_CALIBRATION_ERR,
	ID_COLORMISMATCHCORRECTION_ERR,
	ID_CLEANING_ERR,
	ID_USERDATALIST_ERR,
	ID_PCLFONTLIST_ERR,
	ID_UPDATINGFIRMWAREMODEENTER_ERR,
	ID_UPDATINGFIRMWAREMODECANCEL_ERR,
	ID_HIDE_MONITOR,
	ID_COMMUNICATION_ERR_SET,
	ID_COMMUNICATION_ERR_GET,
	ID_CONSUMABLEINFO_ERR_GET,
	ID_COUNTERINFO_ERR_GET,
	ID_AUTOSELECT_ERR,

	ID_UPDATINGFIRMWAREMODEENTER_MSG,
	ID_UPDATINGFIRMWAREMODECANCEL_MSG,

};

enum{
	BTN_TYPE_NONE,
	BTN_TYPE_OK,
	BTN_TYPE_CANCEL,
	BTN_TYPE_OKCANCEL
};

enum{
	LABEL_TYPE_TITLE,
	LABEL_TYPE_BUTTON,
	LABEL_TYPE_TEXT,
	LABEL_TYPE_BOX
};

typedef struct {
	int ctrlid;
	int labeltype;
	char* labelname;
	char* labeltext;
	char* ctrlbox;
	int dbid;
}CtrlTbl;

typedef struct{
	UIDialog dialog;
	int type;
	int messageType;
}UIMsgDlg;

#endif
