/*
 *  Status monitor for Canon NCAP Printer.
 *  Copyright (C) 2015 CANON INC.
 *  All Rights Reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef	_PURCHASECONSUMABLES_SCR_DLG
#define	_PURCHASECONSUMABLES_SCR_DLG

#include "dialog.h"
#include "dictcontroller.h"
#include "uistatuswnd.h"
#include "uicomboboxitem.h"

typedef struct _regGroup {
	char*		regNum;
	char*		regRes;
	gchar*		regName;
} regGroup;

typedef struct
{
	UIDialog 		dialog;
	UIComboBoxItem*	pCR_ComboBoxItem;
	Dict*			pDialogDict;
} UIPurchaseConsumables_scr_dlg;

UIPurchaseConsumables_scr_dlg* CreatePurchaseConsumables_scr_dlg(UIDialog *parent);
void ShowPurchaseConsumables_scr_dlg( UIStatusWnd* const wnd );
void PurchaseConsumables_scr_dlgOK( UIStatusWnd* const wnd );
void DisposePurchaseConsumables_scr_dlg( UIStatusWnd* const wnd );

#endif
